@import url('https://fonts.googleapis.com/css2?family=Dosis:wght@200;300&family=Josefin+Sans:ital,wght@0,300;0,400;1,300&family=Poppins:wght@400;500;800&display=swap');

*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    list-style: none;
}

:root{
--color-primary: #191d2b;
--color-secondary: #2fb667;
--color-white: #FFFFFF;
--color-black: #000;
--color-grey0: #f8f8f8;
--color-grey-1: #dbe1e8;
--color-grey-2: #b2becd;
--color-grey-3: #6c7983;
--color-grey-4: #454e56;
--color-grey-5: #2a2e35;
--color-grey-6: #12181b;
--br-sm-2: 14px;
--box-shadow-1: 0 3px 15px rgba(0,0,0,.3);
}

.light-mode{
    --color-primary: #FFFFFF;
    --color-secondary: #f56692;
    --color-white: #454e56;
    --color-black: #000;
    --color-grey0: #f8f8f8;
    --color-grey-1: #6c7983;
    --color-grey-2: #6c7983;
    --color-grey-3: #6c7983;
    --color-grey-4: #454e56;
    --color-grey-5: #f8f8f8;
    --color-grey-6: #12181b;
    --br-sm-2: 14px;
    --box-shadow-1: 0 3px 15px rgba(0,0,0,.3);
    }

body{
    background-color: var(--color-primary);
    font-family: 'Poppins', sans-serif;
    font-size: 1.1rem;
    color:var(--color-white);
    transition: all .4s ease-in-out;
}
a{
    display: inline-block;
    text-decoration: none;
    color: inherit;
    font-family: inherit;
}
header{
    min-height: 100vh;
    color:var(--color-white);
    overflow: hidden;
}
section{
    min-height: 100vh;
    width: 100%;
    position: absolute;
    left: 0;
    top:0;
    padding:3rem 18rem;
    
}
.section{
    transform: translateY(-100%) scale(0);
    transition: all .4s ease-in-out;
    background-color: var(--color-primary);
}
.sec1{
    display: none;
    transform:translateY(0) scale(1);
    
}
.sec2{
    display: none;
    transform:translateY(0) scale(1);
    
}
.sec3{
    display: none;
    transform:translateY(0) scale(1);
    
}
.sec4{
    display: none;
    transform:translateY(0) scale(1);
    
}
.sec5{
    display: none;
    transform:translateY(0) scale(1);
}
.active{
    display: block;
    animation:scaleAnim 1s ease-in-out;
    
}
@keyframes scaleAnim {
    0%{
        transform:translateY(-100%) scaleY(0);
    }
    100%{
        transform:translateY(0) scaleY(1);
    }
}

/* controlls */

.controlls{
    position: fixed;
    z-index: 10;
    top:20%;
    right:3%;
    display:flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    transform: translate(-50%);
}
.control{
    padding:1rem;
    cursor: pointer;
    background-color: var(--color-grey-4);
    width: 55px;
    height: 55px;
    border-radius: 50%;
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: var(--box-shadow-1);
    margin:.7rem 0;
}
.active-btn{
    background-color: var(--color-secondary);
    transition: all .4s ease-in-out;
}
.active-btn i{
    color:var(--color-white);
}
.control i{
    font-size: 1.2rem;
    color:var(--color-grey-2);
} 

/* Header-content,home section */

.header-content{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    height: 100%;
}
.left-header{
    display: flex;
    align-items: center;
    position: relative;
}
.h-shape{
    transition: all .4s ease-in-out;
    width:65%;
    height: 100%;
    background-color: var(--color-secondary);
    position:absolute;
    left:0;
    top:0;
    z-index: -1;
    clip-path:polygon(0 0,46% 0,79% 100%,0% 100%);

}
.image{
    border-radius: var(--br-sm-2);
   
    height: 84%;
    width: 63%;
    margin-left: 4rem;
    transition: all .4s ease-in-out;
    background-color: var(--color-black);
}
.image img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: grayscale(100%);
    cursor: pointer;
}
.image img:hover{
    filter: grayscale(0);
}
.right-header{
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding-right: 12rem;
}
.name{
    font-size: 3rem;
}
.name span{
    
    color:var(--color-secondary);
}
.right-header p{
   margin:1.5rem 0;
   line-height: 2rem;
   text-align:justify;
}

.btn-container{
    display: flex;
    align-items: center;
    justify-content: flex-start;
}
.main-btn{
    border-radius: 30px;
    color:inherit;
    font-weight: 600;
    position: relative;
    border: 1px solid var(--color-secondary);
    display: flex;
    align-items: center;
    align-self: flex-start;
    overflow: hidden;
    
}
.btn-text{
    padding:0 2rem;
}
.btn-icon{
    background-color: var(--color-secondary);
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    padding:1rem;
}
.main-btn::before{
    content:'';
    position: absolute;
    top:0;
    right:0;transform: translateX(100%);
    transition: all .4s ease-in-out;
    z-index: -1;
}
.main-btn:hover{
    transition: all .4s ease-in-out;
    transform:translateX(0);
    background-color: var(--color-secondary);
}

/* About */
.main-title{
    text-align: center;
   
}
.main-title  h2{
    position: relative;
    text-transform:uppercase;
    font-size: 3rem;
    font-weight: 700;
}
#me{
    color:var(--color-secondary);
}
.bg-text{
    position:absolute;
    top:50%;
    left:50%;
    color:var(--color-grey-5);
    z-index: -1;
    transition: all .4s ease-in-out;
    transform:translate(-50%,-50%);
    font-weight: 800;
    font-size: 4.2rem;
   
}
.about-container{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    padding-top:3.5rem;
    padding-bottom:5rem;
}
.right-about{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap:2rem;

}
.about-item{
    border: 1px solid var(--color-grey-5);
    border-radius: 5px;
    transition:all .4s ease-in-out;
    box-shadow: 1px 2px 15px rgba(0,0,0,0.1);
}
.about-item:hover{
    cursor: default;
    transform: translateY(-5px);
    border: 1px solid var(--color-secondary);
    box-shadow: 1px 2px 15px rgba(0,0,0,0.45);


}
.abt-text{
    padding:1.3rem;
    display: flex;
    flex-direction: column;
    
   
    
}
.large{
    font-size:2.6rem;
    font-weight: 700;
    color:var(--color-secondary);
}
.small{
    text-transform: uppercase;
    position: relative;
    font-size: 1.2rem;
    color:var(--color-grey-1);
    letter-spacing: 2px;
}
.left-about{
    padding-right: 5rem;
}
.left-about p{
    font-size: 15px;
    padding:10px;
    color:var(--color-grey-1);
    font-weight: 300;
    text-align:justify;
    
}
.left-about h4{
    text-transform: uppercase;
    word-spacing: 4px;
    letter-spacing: .5px;
}
.about-stats{
    padding-bottom:4rem;
}
.progress-bars{
    display: grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap:2rem;
}
.progress-bar{
    display: flex;
    flex-direction: column;
    margin-top:6px;
}
.progress-title{
    text-transform: uppercase;font-weight: 500;
}
.progress-con{
    display: flex;
    align-items: center;
}
.progress-text{
    color:var(--color-grey-2);
}
.progress{
    width:100%;height: .45rem;
    background-color: var(--color-grey-4);
    margin-left: 1rem;
    position: relative;
    border-radius: 5px;
    
}
.progress span{
    position: absolute;
    top:0;
    left:0;
    height: 100%;
    background-color: var(--color-secondary);
    transition:all .4s ease-in-out;
    border-radius: 5px;
}
.stats-title{
    text-align: center;
    margin:14px 0;
    text-transform: uppercase;
}
.html{
    width:90%;
    border-radius: 5px;
}
.css{
    width:70%;
    border-radius: 5px;
}
.javascript{
    width:60%;
    border-radius: 5px;
}
.cpp{
    width:92%;
    border-radius: 5px;
}


/* Timeline */
.stats-title{
    border:1px solid var(--color-grey-5);
    transition: all .4s ease-in-out;
    border-radius: 9px;
}
.stats-title:hover{
    border:1px solid var(--color-secondary);
    cursor: pointer;
    transform:translateY(-5px);
    transition:all .4s ease-in-out;
    
}
.timeline{
    display:grid;
    grid-template-columns: repeat(2,1fr);
    grid-gap: 2rem;
    padding-bottom:3rem;
}
.timeline-item{
    margin-top:10px;
    position: relative;
    padding-left: 2rem;
    border-left: 1px solid var(--color-grey-5);
}
.tl-icon{
    position: absolute;
    left:-31px;
    top:0;
    width: 50px;
    height: 50px;
    background-color: var(--color-secondary);
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.tl-duration{
    background-color: var(--color-grey-5);
    padding:2px 10px;
    text-transform: uppercase;
    display: inline-block;
    border-radius: 15px;
}
.timeline-item h5{
    padding:1rem 0;
    text-transform: uppercase;
    font-size:1.3rem;
    font-weight: 300;
}
.timeline-item span{
    color:var(--color-grey-2);
}
.timeline-item p{
    color:var(--color-grey-2);
}

/* Portfolio */
.port-text{
    padding:2rem 0;
    text-align: center;
}

.portfolios {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 2rem;
    margin-top: 3rem;
  }
  .portfolios .portfolio-item {
    position: relative;
    border-radius: 15px;
  }
  .portfolios .portfolio-item img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-radius: 15px;
  }
  .portfolios .portfolio-item .hover-items {
    width: 100%;
    height: 100%;
    background-color: var(--color-secondary);
    position: absolute;
    left: 0;
    top: 0;
    border-radius: 15px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    opacity: 0;
    transform: scale(0);
    transition: all 0.4s ease-in-out;
  }
  .portfolios .portfolio-item .hover-items h3 {
    font-size: 1.5rem;
    color: var(--color-white);
    margin-bottom: 1.5rem;
  }
  .portfolios .portfolio-item .hover-items .icons {
    display: flex;
    justify-content: center;
    align-items: center;
  }
  .portfolios .portfolio-item .hover-items .icons .icon {
    background-color: var(--color-primary);
    border-radius: 50%;
    width: 50px;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 1rem;
    cursor: pointer;
    transition: all 0.4s ease-in-out;
  }
  .portfolios .portfolio-item .hover-items .icons .icon i {
    font-size: 1.5rem;
    color: var(--color-white);
    margin: 0 1rem;
  }
  .portfolios .portfolio-item .hover-items .icons .icon:hover {
    background-color: var(--color-white);
  }
  .portfolios .portfolio-item .hover-items .icons .icon:hover i {
    color: var(--color-primary);
  }
  
  .portfolio-item:hover .hover-items {
    opacity: 1;
    transform: scale(1);
  }
  
  
  /* blogs */

#blg{
    color: var(--color-secondary);
}

.blogs{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-gap: 2.2rem;
    margin-top:3rem;
}
.blog{
    position: relative;
    background-color: var(--color-grey-5);
    border-radius: 5px;
    
    box-shadow: 1px 1px 20px rgba(0,0,0,0.1);
    transition:all .4s ease-in-out;
}
.blog:hover{
    box-shadow: 1px 1px 20px rgba(0,0,0,.3);
    transform: translateY(-5px) ;
    transition:all .4s ease-in-out;

}

.blog:hover img{
    filter: grayscale(0);
    transform: scale(1.1);
    box-shadow: 1px 4px 20px rgba(0,0,0,.8);
}
.blog img{
    width:100%;
    height: 200px;
    object-fit: cover;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    transition: all .4s ease-in-out;
    filter: grayscale(100%);
}
.blog-text{
    margin-top:-7px;
    padding:1.1rem;
    border-top:6px solid var(--color-secondary);
}
.blog-text h4{
    font-size: 16px;
    margin-bottom: 5px;
    transition: all .4s ease-in-out;
    cursor: pointer;
    text-align: center;
}
.blog-text h4:hover{
    color:var(--color-secondary);
}
.blog-text p{
    font-size: 14px;
    color:var(--color-grey-2);
    text-align: center;
}


/* Contact */
.contact-content-con{
    display: flex;
    padding-top:12px;
}
.left-contact{
    flex:2;
   
}
.left-contact h4{
    margin-top:22px;
    font-size:18px;
    text-transform: uppercase;
   
    
}
.iconn{
    display: grid;
    grid-template-columns: 25px 1fr;
    align-items: center;
}
.left-contact p{
    margin:6px 0px;
    font-size: 16px;
    color: var(--color-grey-3);
    
}
.contact-icon{
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    margin-top:15px;
    color:var(--color-white);

}
.contact-icon i{
    background-color: var(--color-grey-5);
    cursor: pointer;
    width: 50px;height: 50px;
    border-radius: 50%;
    transition: all .4s ease-in-out;
    display: flex;
    align-items: center;
    justify-content: center;
}
.contact-icon i:hover{
    background-color: var(--color-secondary);
    color:var(--color-black);

}
.contact-info .contact-item{
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin:10px 0;
}
.right-contact{
    flex:3;margin-left: 3rem;
}
.input-control{
    margin: 1.5rem 0;
}
.input-control input,textarea{
    border-radius: 30px;
    font-weight: inherit;
    font-size: inherit;
    font-family: inherit;
    padding:.8rem  1.1rem;
    outline: none;
    border: none;
    background-color: var(--color-grey-5);
    width: 100%;
    color:var(--color-white);
}
.i-c-2{
    display: flex;
    gap:15px;
}
.submit-btn{
    display:flex;
}

/* theme btn */
.theme-btn{
    top: 5%;
    right: 5%;
    width: 60px;
    height: 60px;border-radius: 50%;
    background-color: var(--color-grey-4);
    cursor: pointer;
    position: fixed;
    display: flex;
    align-items: center;justify-content: center;
    box-shadow: 1px 3px 15px rgba(0, 0, 0, 0.3);
    transition: all .1s ease-in-out;
}
.theme-btn i{
    font-size: 1.3rem;
    color:var(--color-grey-2);
    pointer-events: none;
}
.theme-btn:active{
    transform: translateY(-3px);
}

@media screen and (max-width:786px) {
     
    header{
        padding:0;
    }
    .header-right{
        padding:2rem;
    }
    .controlls{
        top:auto;
        bottom:0;
        flex-direction: row;
        justify-content: center;
        left:50%;
        transform: translateX(-50%);
        width: 100%;
        background-color: var(--color-grey-5);
    }
    .theme-btn{
        width: 50px;height: 50px;
    }
    .header-content{
        grid-template-columns: 1fr;
        padding-bottom: 4rem;
    }
    .controlls .control{
        margin:1rem .3rem;
    }
    

    .left-header {
       display: flex;
       align-items: center;
       margin-left: -2.5rem;
       position: relative;
    }
   
    .left-header .h-shape{
        display: none;
    }
    .right-header{
        grid-row: 1;
        width:90%;
        margin:0 auto;
        
    }

    .btn-container {
      display: flex;
      align-items: center;
      justify-content: center;
    }
    .right-header {
        display: flex;
        flex-direction: column;
        justify-content: center;
        padding-right: 0;
    }
    .name {
        font-size: 2rem;
        margin-top: 6rem;
        text-align: center;
    }
    .image{
        border-radius: var(--br-sm-2);
        height: 81%;
        width: 75%;
        margin-left: 4rem;
        transition: all .4s ease-in-out;
        background-color: var(--color-black);
    }

    /* about section */
    .about-container{
        grid-template-columns: 1fr;
    }
    .about-container .right-about{
        grid-template-columns: 1fr;
        padding-top: 2.5rem;
    }
    .left-about{
        padding-right: 0;
    }
    .left-about p{
        padding-left: 0;
    }
    .timeline{
        grid-template-columns: 1fr;
        padding-bottom: 5rem;
    }
    .about-stats .progress-bars{
        grid-template-columns: 1fr;
    }
    .section{
        padding: 2rem 2.5rem;
    }


    /* blogs */
    .blogs{
        grid-template-columns: 1fr;
        padding-bottom: 6rem;
    }
    

    /* portfolios */
    .portfolios{
        grid-template-columns: 1fr;
        padding-bottom: 6rem;
    }


    /* contact */
    .contact-content-con{
        flex-direction: column;
    }
    .contact-content-con .right-contact{
        margin-left: 0;
        margin-top: 2.5rem;
    }

    




}